Package com.independentsoft.office.odf.styles

# Enum Class RubyAlignment

java.lang.Object
java.lang.Enum<RubyAlignment>
com.independentsoft.office.odf.styles.RubyAlignment

All Implemented Interfaces:
  `Serializable`, `Comparable<RubyAlignment>`, `Constable`

public enum RubyAlignment extends Enum<RubyAlignment>
Represents the horizontal alignment of the ruby text in relationship to the ruby base.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTER`
  Ruby text centered on ruby base text.
  `DISTRIBUTE_LETTER`
  If the width of the ruby text is smaller than that of the ruby base text, then the ruby text contents are evenly distributed across the width of the ruby base text, with the first and last ruby text glyphs lining up with the corresponding first and last base glyphs.
  `DISTRIBUTE_SPACE`
  If the width of the ruby text is smaller than that of the ruby base text, then the ruby text contents are evenly distributed across the width of the ruby base text, with a certain amount of white space preceding the first and following the last character in the ruby text.
  `LEFT`
  Ruby text to the left of ruby base text.
  `NONE`
  None.
  `RIGHT`
  Ruby text to the right of ruby base text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RubyAlignment`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static RubyAlignment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final RubyAlignment LEFT
    Ruby text to the left of ruby base text.

  - ### CENTER

    public static final RubyAlignment CENTER
    Ruby text centered on ruby base text.

  - ### RIGHT

    public static final RubyAlignment RIGHT
    Ruby text to the right of ruby base text.

  - ### DISTRIBUTE_LETTER

    public static final RubyAlignment DISTRIBUTE_LETTER
    If the width of the ruby text is smaller than that of the ruby base text, then the ruby text contents are evenly distributed across the width of the ruby base text, with the first and last ruby text glyphs lining up with the corresponding first and last base glyphs. If the width of the ruby text is at least the width of the ruby base text, then the letters of the ruby base text are evenly distributed across the width of the ruby text.

  - ### DISTRIBUTE_SPACE

    public static final RubyAlignment DISTRIBUTE_SPACE
    If the width of the ruby text is smaller than that of the ruby base text, then the ruby text contents are evenly distributed across the width of the ruby base text, with a certain amount of white space preceding the first and following the last character in the ruby text. That amount of white space is normally equal to half the amount of inter-character space of the ruby text. If the width of the ruby text is at least the width of the ruby base text, then the same type of space distribution applies to the ruby base text. In other words, if the base is shorter than the ruby text, the base is distribute-space aligned.

  - ### NONE

    public static final RubyAlignment NONE
    None.

- ## Method Details

  - ### values

    public static RubyAlignment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RubyAlignment valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null